import{S as Bn,i as On,s as Wn,e as o,k as m,w as A,t as s,M as Hn,c as r,d as t,m as h,a,x as M,h as i,b as p,G as n,g as c,y as j,q as I,o as C,B as L,v as Rn,L as Un}from"../../chunks/vendor-hf-doc-builder.js";import{D as Dn}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Fn}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as fn}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Vn}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Jn(ce){let g,z,k,u,v;return u=new Fn({props:{code:`from transformers import GPTSw3Tokenizer
tokenizer = GPTSw3Tokenizer.from_pretrained("AI-Sweden/gpt-sw3-126m")
tokenizer("Svenska \xE4r kul!")['input_ids']`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python"><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> GPTSw3Tokenizer</span>
<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python">tokenizer = GPTSw3Tokenizer.from_pretrained(<span class="hljs-string">&quot;AI-Sweden/gpt-sw3-126m&quot;</span>)</span>
<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python">tokenizer(<span class="hljs-string">&quot;Svenska \xE4r kul!&quot;</span>)[<span class="hljs-string">&#x27;input_ids&#x27;</span>]</span>
[1814, 377, 3617, 63504]`}}),{c(){g=o("p"),z=s("Example usage:"),k=m(),A(u.$$.fragment)},l(d){g=r(d,"P",{});var T=a(g);z=i(T,"Example usage:"),T.forEach(t),k=h(d),M(u.$$.fragment,d)},m(d,T){c(d,g,T),n(g,z),c(d,k,T),j(u,d,T),v=!0},p:Un,i(d){v||(I(u.$$.fragment,d),v=!0)},o(d){C(u.$$.fragment,d),v=!1},d(d){d&&t(g),d&&t(k),L(u,d)}}}function Kn(ce){let g,z,k,u,v,d,T,ee,xe,me,b,$,ne,N,Ge,te,Ae,he,y,Me,q,je,Ie,fe,K,Ce,ge,Q,Le,ue,E,Ne,D,qe,De,we,f,Fe,F,Be,Oe,oe,We,He,re,Re,Ue,ae,Ve,Je,se,Ke,Qe,ie,Xe,Ye,le,Ze,_e,X,en,ke,B,ve,P,x,pe,O,nn,de,tn,Te,w,W,on,H,rn,R,an,sn,ln,U,pn,Y,dn,cn,mn,G,hn,Z,V,Se;return d=new fn({}),N=new fn({}),B=new Fn({props:{code:`from transformers import AutoTokenizer, AutoModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("AI-Sweden/gpt-sw3-356m")
model = AutoModelForCausalLM.from_pretrained("AI-Sweden/gpt-sw3-356m")

input_ids = tokenizer("Tr\xE4d \xE4r fina f\xF6r att", return_tensors="pt")["input_ids"]

generated_token_ids = model.generate(inputs=input_ids, max_new_tokens=10, do_sample=True)[0]

print(tokenizer.decode(generated_token_ids))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AutoModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;AI-Sweden/gpt-sw3-356m&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;AI-Sweden/gpt-sw3-356m&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;Tr\xE4d \xE4r fina f\xF6r att&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>generated_token_ids = model.generate(inputs=input_ids, max_new_tokens=<span class="hljs-number">10</span>, do_sample=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.decode(generated_token_ids))
Tr\xE4d \xE4r fina f\xF6r att de \xE4r f\xE4rgstarka. Men ibland \xE4r det fint`}}),O=new fn({}),W=new Dn({props:{name:"class transformers.GPTSw3Tokenizer",anchor:"transformers.GPTSw3Tokenizer",parameters:[{name:"vocab_file",val:""},{name:"do_lower_case",val:" = False"},{name:"remove_space",val:" = False"},{name:"keep_accents",val:" = False"},{name:"pad_token",val:" = None"},{name:"unk_token",val:" = None"},{name:"eos_token",val:" = None"},{name:"bos_token",val:" = None"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.GPTSw3Tokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.GPTSw3Tokenizer.do_lower_case",description:`<strong>do_lower_case</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to lowercase the input when tokenizing.`,name:"do_lower_case"},{anchor:"transformers.GPTSw3Tokenizer.remove_space",description:`<strong>remove_space</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to strip the text when tokenizing (removing excess spaces before and after the string).`,name:"remove_space"},{anchor:"transformers.GPTSw3Tokenizer.keep_accents",description:`<strong>keep_accents</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to keep accents when tokenizing.`,name:"keep_accents"},{anchor:"transformers.GPTSw3Tokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The beginning of sequence token that can be used for downstream task, was not seen during pretraining. If
not provided, will default to &#x2019;<s>&#x2019; or &#x2019;&lt;|endoftext|&gt;&#x2019;, depending on model size.</s>`,name:"bos_token"},{anchor:"transformers.GPTSw3Tokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The end of sequence token seen during pretraining. If not provided, will default to &#x2019;&lt;|endoftext|&gt;&#x2019;`,name:"eos_token"},{anchor:"transformers.GPTSw3Tokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead. If not provided, will default to &#x2019;<unk>&#x2018;.</unk>`,name:"unk_token"},{anchor:"transformers.GPTSw3Tokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The token used for padding, for example when batching sequences of different lengths. If not provided, will
default to &#x2019;<pad>&#x2019; or &#x2019;<unk>&#x2019; depending on model size.</unk></pad>`,name:"pad_token"},{anchor:"transformers.GPTSw3Tokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.GPTSw3Tokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"},{anchor:"transformers.GPTSw3Tokenizer.whitespaces",description:`<strong>whitespaces</strong> (<code>set</code>) &#x2014;
The whitespaces that are replaced in the whitespace normalization in preprocessing.`,name:"whitespaces"},{anchor:"transformers.GPTSw3Tokenizer.non_printing_characters_re",description:`<strong>non_printing_characters_re</strong> (<code>Pattern</code>) &#x2014;
The compiled regular expression to remove non-printing characters in preprocessing.`,name:"non_printing_characters_re"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/gpt_sw3/tokenization_gpt_sw3.py#L42"}}),G=new Vn({props:{anchor:"transformers.GPTSw3Tokenizer.example",$$slots:{default:[Jn]},$$scope:{ctx:ce}}}),V=new Dn({props:{name:"save_vocabulary",anchor:"transformers.GPTSw3Tokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/gpt_sw3/tokenization_gpt_sw3.py#L251"}}),{c(){g=o("meta"),z=m(),k=o("h1"),u=o("a"),v=o("span"),A(d.$$.fragment),T=m(),ee=o("span"),xe=s("GPT-Sw3"),me=m(),b=o("h2"),$=o("a"),ne=o("span"),A(N.$$.fragment),Ge=m(),te=o("span"),Ae=s("Overview"),he=m(),y=o("p"),Me=s(`The GPT-Sw3 model was first proposed in
`),q=o("a"),je=s("Lessons Learned from GPT-SW3: Building the First Large-Scale Generative Language Model for Swedish"),Ie=s(`
by Ariel Ekgren, Amaru Cuba Gyllensten, Evangelia Gogoulou, Alice Heiman, Severine Verlinden, Joey \xD6hman,
Fredrik Carlsson, Magnus Sahlgren.`),fe=m(),K=o("p"),Ce=s("Since that first paper the authors have extended their work and trained new models on their new 1.2TB corpora named The Nordic Pile."),ge=m(),Q=o("p"),Le=s(`GPT-Sw3 is a collection of large decoder-only pretrained transformer language models that were developed by AI Sweden
in collaboration with RISE and the WASP WARA for Media and Language. GPT-Sw3 has been trained on a dataset containing
320B tokens in Swedish, Norwegian, Danish, Icelandic, English, and programming code. The model was pretrained using a
causal language modeling (CLM) objective utilizing the NeMo Megatron GPT implementation.`),ue=m(),E=o("p"),Ne=s("This model was contributed by "),D=o("a"),qe=s("AI Sweden"),De=s("."),we=m(),f=o("p"),Fe=s("The implementation uses the "),F=o("a"),Be=s("GPT2Model"),Oe=s(` coupled
with our `),oe=o("code"),We=s("GPTSw3Tokenizer"),He=s(". This means that "),re=o("code"),Re=s("AutoTokenizer"),Ue=s(" and "),ae=o("code"),Ve=s("AutoModelForCausalLM"),Je=s(` map to our tokenizer
implementation and the corresponding GPT2 model implementation respectively.
`),se=o("em"),Ke=s("Note that sentencepiece is required to use our tokenizer and can be installed with:"),Qe=m(),ie=o("code"),Xe=s("pip install transformers[sentencepiece]"),Ye=s(" or "),le=o("code"),Ze=s("pip install sentencepiece"),_e=m(),X=o("p"),en=s("Example usage:"),ke=m(),A(B.$$.fragment),ve=m(),P=o("h2"),x=o("a"),pe=o("span"),A(O.$$.fragment),nn=m(),de=o("span"),tn=s("GPTSw3Tokenizer"),Te=m(),w=o("div"),A(W.$$.fragment),on=m(),H=o("p"),rn=s("Construct an GPTSw3 tokenizer. Based on "),R=o("a"),an=s("SentencePiece"),sn=s("."),ln=m(),U=o("p"),pn=s("This tokenizer inherits from "),Y=o("a"),dn=s("PreTrainedTokenizer"),cn=s(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),mn=m(),A(G.$$.fragment),hn=m(),Z=o("div"),A(V.$$.fragment),this.h()},l(e){const l=Hn('[data-svelte="svelte-1phssyn"]',document.head);g=r(l,"META",{name:!0,content:!0}),l.forEach(t),z=h(e),k=r(e,"H1",{class:!0});var J=a(k);u=r(J,"A",{id:!0,class:!0,href:!0});var gn=a(u);v=r(gn,"SPAN",{});var un=a(v);M(d.$$.fragment,un),un.forEach(t),gn.forEach(t),T=h(J),ee=r(J,"SPAN",{});var wn=a(ee);xe=i(wn,"GPT-Sw3"),wn.forEach(t),J.forEach(t),me=h(e),b=r(e,"H2",{class:!0});var be=a(b);$=r(be,"A",{id:!0,class:!0,href:!0});var _n=a($);ne=r(_n,"SPAN",{});var kn=a(ne);M(N.$$.fragment,kn),kn.forEach(t),_n.forEach(t),Ge=h(be),te=r(be,"SPAN",{});var vn=a(te);Ae=i(vn,"Overview"),vn.forEach(t),be.forEach(t),he=h(e),y=r(e,"P",{});var Pe=a(y);Me=i(Pe,`The GPT-Sw3 model was first proposed in
`),q=r(Pe,"A",{href:!0,rel:!0});var Tn=a(q);je=i(Tn,"Lessons Learned from GPT-SW3: Building the First Large-Scale Generative Language Model for Swedish"),Tn.forEach(t),Ie=i(Pe,`
by Ariel Ekgren, Amaru Cuba Gyllensten, Evangelia Gogoulou, Alice Heiman, Severine Verlinden, Joey \xD6hman,
Fredrik Carlsson, Magnus Sahlgren.`),Pe.forEach(t),fe=h(e),K=r(e,"P",{});var Sn=a(K);Ce=i(Sn,"Since that first paper the authors have extended their work and trained new models on their new 1.2TB corpora named The Nordic Pile."),Sn.forEach(t),ge=h(e),Q=r(e,"P",{});var bn=a(Q);Le=i(bn,`GPT-Sw3 is a collection of large decoder-only pretrained transformer language models that were developed by AI Sweden
in collaboration with RISE and the WASP WARA for Media and Language. GPT-Sw3 has been trained on a dataset containing
320B tokens in Swedish, Norwegian, Danish, Icelandic, English, and programming code. The model was pretrained using a
causal language modeling (CLM) objective utilizing the NeMo Megatron GPT implementation.`),bn.forEach(t),ue=h(e),E=r(e,"P",{});var ze=a(E);Ne=i(ze,"This model was contributed by "),D=r(ze,"A",{href:!0,rel:!0});var Pn=a(D);qe=i(Pn,"AI Sweden"),Pn.forEach(t),De=i(ze,"."),ze.forEach(t),we=h(e),f=r(e,"P",{});var _=a(f);Fe=i(_,"The implementation uses the "),F=r(_,"A",{href:!0,rel:!0});var zn=a(F);Be=i(zn,"GPT2Model"),zn.forEach(t),Oe=i(_,` coupled
with our `),oe=r(_,"CODE",{});var $n=a(oe);We=i($n,"GPTSw3Tokenizer"),$n.forEach(t),He=i(_,". This means that "),re=r(_,"CODE",{});var yn=a(re);Re=i(yn,"AutoTokenizer"),yn.forEach(t),Ue=i(_," and "),ae=r(_,"CODE",{});var En=a(ae);Ve=i(En,"AutoModelForCausalLM"),En.forEach(t),Je=i(_,` map to our tokenizer
implementation and the corresponding GPT2 model implementation respectively.
`),se=r(_,"EM",{});var xn=a(se);Ke=i(xn,"Note that sentencepiece is required to use our tokenizer and can be installed with:"),xn.forEach(t),Qe=h(_),ie=r(_,"CODE",{});var Gn=a(ie);Xe=i(Gn,"pip install transformers[sentencepiece]"),Gn.forEach(t),Ye=i(_," or "),le=r(_,"CODE",{});var An=a(le);Ze=i(An,"pip install sentencepiece"),An.forEach(t),_.forEach(t),_e=h(e),X=r(e,"P",{});var Mn=a(X);en=i(Mn,"Example usage:"),Mn.forEach(t),ke=h(e),M(B.$$.fragment,e),ve=h(e),P=r(e,"H2",{class:!0});var $e=a(P);x=r($e,"A",{id:!0,class:!0,href:!0});var jn=a(x);pe=r(jn,"SPAN",{});var In=a(pe);M(O.$$.fragment,In),In.forEach(t),jn.forEach(t),nn=h($e),de=r($e,"SPAN",{});var Cn=a(de);tn=i(Cn,"GPTSw3Tokenizer"),Cn.forEach(t),$e.forEach(t),Te=h(e),w=r(e,"DIV",{class:!0});var S=a(w);M(W.$$.fragment,S),on=h(S),H=r(S,"P",{});var ye=a(H);rn=i(ye,"Construct an GPTSw3 tokenizer. Based on "),R=r(ye,"A",{href:!0,rel:!0});var Ln=a(R);an=i(Ln,"SentencePiece"),Ln.forEach(t),sn=i(ye,"."),ye.forEach(t),ln=h(S),U=r(S,"P",{});var Ee=a(U);pn=i(Ee,"This tokenizer inherits from "),Y=r(Ee,"A",{href:!0});var Nn=a(Y);dn=i(Nn,"PreTrainedTokenizer"),Nn.forEach(t),cn=i(Ee,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),Ee.forEach(t),mn=h(S),M(G.$$.fragment,S),hn=h(S),Z=r(S,"DIV",{class:!0});var qn=a(Z);M(V.$$.fragment,qn),qn.forEach(t),S.forEach(t),this.h()},h(){p(g,"name","hf:doc:metadata"),p(g,"content",JSON.stringify(Qn)),p(u,"id","gptsw3"),p(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(u,"href","#gptsw3"),p(k,"class","relative group"),p($,"id","overview"),p($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p($,"href","#overview"),p(b,"class","relative group"),p(q,"href","http://www.lrec-conf.org/proceedings/lrec2022/pdf/2022.lrec-1.376.pdf"),p(q,"rel","nofollow"),p(D,"href","https://huggingface.co/AI-Sweden"),p(D,"rel","nofollow"),p(F,"href","https://huggingface.co/docs/transformers/model_doc/gpt2"),p(F,"rel","nofollow"),p(x,"id","transformers.GPTSw3Tokenizer"),p(x,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(x,"href","#transformers.GPTSw3Tokenizer"),p(P,"class","relative group"),p(R,"href","https://github.com/google/sentencepiece"),p(R,"rel","nofollow"),p(Y,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),p(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,l){n(document.head,g),c(e,z,l),c(e,k,l),n(k,u),n(u,v),j(d,v,null),n(k,T),n(k,ee),n(ee,xe),c(e,me,l),c(e,b,l),n(b,$),n($,ne),j(N,ne,null),n(b,Ge),n(b,te),n(te,Ae),c(e,he,l),c(e,y,l),n(y,Me),n(y,q),n(q,je),n(y,Ie),c(e,fe,l),c(e,K,l),n(K,Ce),c(e,ge,l),c(e,Q,l),n(Q,Le),c(e,ue,l),c(e,E,l),n(E,Ne),n(E,D),n(D,qe),n(E,De),c(e,we,l),c(e,f,l),n(f,Fe),n(f,F),n(F,Be),n(f,Oe),n(f,oe),n(oe,We),n(f,He),n(f,re),n(re,Re),n(f,Ue),n(f,ae),n(ae,Ve),n(f,Je),n(f,se),n(se,Ke),n(f,Qe),n(f,ie),n(ie,Xe),n(f,Ye),n(f,le),n(le,Ze),c(e,_e,l),c(e,X,l),n(X,en),c(e,ke,l),j(B,e,l),c(e,ve,l),c(e,P,l),n(P,x),n(x,pe),j(O,pe,null),n(P,nn),n(P,de),n(de,tn),c(e,Te,l),c(e,w,l),j(W,w,null),n(w,on),n(w,H),n(H,rn),n(H,R),n(R,an),n(H,sn),n(w,ln),n(w,U),n(U,pn),n(U,Y),n(Y,dn),n(U,cn),n(w,mn),j(G,w,null),n(w,hn),n(w,Z),j(V,Z,null),Se=!0},p(e,[l]){const J={};l&2&&(J.$$scope={dirty:l,ctx:e}),G.$set(J)},i(e){Se||(I(d.$$.fragment,e),I(N.$$.fragment,e),I(B.$$.fragment,e),I(O.$$.fragment,e),I(W.$$.fragment,e),I(G.$$.fragment,e),I(V.$$.fragment,e),Se=!0)},o(e){C(d.$$.fragment,e),C(N.$$.fragment,e),C(B.$$.fragment,e),C(O.$$.fragment,e),C(W.$$.fragment,e),C(G.$$.fragment,e),C(V.$$.fragment,e),Se=!1},d(e){t(g),e&&t(z),e&&t(k),L(d),e&&t(me),e&&t(b),L(N),e&&t(he),e&&t(y),e&&t(fe),e&&t(K),e&&t(ge),e&&t(Q),e&&t(ue),e&&t(E),e&&t(we),e&&t(f),e&&t(_e),e&&t(X),e&&t(ke),L(B,e),e&&t(ve),e&&t(P),L(O),e&&t(Te),e&&t(w),L(W),L(G),L(V)}}}const Qn={local:"gptsw3",sections:[{local:"overview",title:"Overview"},{local:"transformers.GPTSw3Tokenizer",title:"GPTSw3Tokenizer"}],title:"GPT-Sw3"};function Xn(ce){return Rn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ot extends Bn{constructor(g){super();On(this,g,Xn,Kn,Wn,{})}}export{ot as default,Qn as metadata};
