import{S as bh,i as yh,s as kh,e as n,k as l,w as v,t as s,M as wh,c as a,d as t,m as c,a as r,x as b,h as i,b as d,G as e,g as p,y,q as k,o as w,B as T,v as Th,L as $h}from"../../chunks/vendor-hf-doc-builder.js";import{T as ct}from"../../chunks/Tip-hf-doc-builder.js";import{D as N}from"../../chunks/Docstring-hf-doc-builder.js";import{C as sa}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Mh}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Xh(E){let m,M,g,_,$;return _=new sa({props:{code:`from transformers import XmodConfig, XmodModel

# Initializing an X-MOD facebook/xmod-base style configuration
configuration = XmodConfig()

# Initializing a model (with random weights) from the facebook/xmod-base style configuration
model = XmodModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> XmodConfig, XmodModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing an X-MOD facebook/xmod-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = XmodConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the facebook/xmod-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XmodModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){m=n("p"),M=s("Examples:"),g=l(),v(_.$$.fragment)},l(f){m=a(f,"P",{});var u=r(m);M=i(u,"Examples:"),u.forEach(t),g=c(f),b(_.$$.fragment,f)},m(f,u){p(f,m,u),e(m,M),p(f,g,u),y(_,f,u),$=!0},p:$h,i(f){$||(k(_.$$.fragment,f),$=!0)},o(f){w(_.$$.fragment,f),$=!1},d(f){f&&t(m),f&&t(g),T(_,f)}}}function xh(E){let m,M,g,_,$;return{c(){m=n("p"),M=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),_=s("Module"),$=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(f){m=a(f,"P",{});var u=r(m);M=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(u,"CODE",{});var X=r(g);_=i(X,"Module"),X.forEach(t),$=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(f,u){p(f,m,u),e(m,M),e(m,g),e(g,_),e(m,$)},d(f){f&&t(m)}}}function Eh(E){let m,M,g,_,$;return{c(){m=n("p"),M=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),_=s("Module"),$=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(f){m=a(f,"P",{});var u=r(m);M=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(u,"CODE",{});var X=r(g);_=i(X,"Module"),X.forEach(t),$=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(f,u){p(f,m,u),e(m,M),e(m,g),e(g,_),e(m,$)},d(f){f&&t(m)}}}function Ch(E){let m,M,g,_,$;return{c(){m=n("p"),M=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),_=s("Module"),$=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(f){m=a(f,"P",{});var u=r(m);M=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(u,"CODE",{});var X=r(g);_=i(X,"Module"),X.forEach(t),$=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(f,u){p(f,m,u),e(m,M),e(m,g),e(g,_),e(m,$)},d(f){f&&t(m)}}}function Fh(E){let m,M,g,_,$;return{c(){m=n("p"),M=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),_=s("Module"),$=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(f){m=a(f,"P",{});var u=r(m);M=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(u,"CODE",{});var X=r(g);_=i(X,"Module"),X.forEach(t),$=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(f,u){p(f,m,u),e(m,M),e(m,g),e(g,_),e(m,$)},d(f){f&&t(m)}}}function zh(E){let m,M,g,_,$;return{c(){m=n("p"),M=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),_=s("Module"),$=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(f){m=a(f,"P",{});var u=r(m);M=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(u,"CODE",{});var X=r(g);_=i(X,"Module"),X.forEach(t),$=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(f,u){p(f,m,u),e(m,M),e(m,g),e(g,_),e(m,$)},d(f){f&&t(m)}}}function Ph(E){let m,M,g,_,$;return{c(){m=n("p"),M=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),_=s("Module"),$=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(f){m=a(f,"P",{});var u=r(m);M=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(u,"CODE",{});var X=r(g);_=i(X,"Module"),X.forEach(t),$=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(f,u){p(f,m,u),e(m,M),e(m,g),e(g,_),e(m,$)},d(f){f&&t(m)}}}function Lh(E){let m,M,g,_,$;return{c(){m=n("p"),M=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n("code"),_=s("Module"),$=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(f){m=a(f,"P",{});var u=r(m);M=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(u,"CODE",{});var X=r(g);_=i(X,"Module"),X.forEach(t),$=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(f,u){p(f,m,u),e(m,M),e(m,g),e(g,_),e(m,$)},d(f){f&&t(m)}}}function Oh(E){let m,M,g,_,$,f,u,X,br,ia,te,Me,Yt,Ke,yr,Zt,kr,da,W,wr,Ye,Tr,$r,ht,Mr,Xr,en,xr,Er,la,mt,Cr,ca,pt,on,Fr,ha,ft,zr,ma,Xe,Ze,Pr,ut,Lr,Or,Ar,tn,qr,pa,j,Nr,eo,Dr,Ir,oo,Sr,Wr,to,jr,Br,fa,ne,xe,nn,no,Qr,an,Ur,ua,ae,Ee,rn,ao,Rr,sn,Vr,ga,gt,Hr,_a,_t,dn,Gr,va,ro,ba,so,ln,Jr,ya,io,ka,re,Ce,cn,lo,Kr,hn,Yr,wa,co,Ta,se,Fe,mn,ho,Zr,pn,es,$a,mo,Ma,ie,ze,fn,po,os,un,ts,Xa,S,fo,ns,de,as,vt,rs,ss,uo,is,ds,ls,le,cs,bt,hs,ms,yt,ps,fs,us,Pe,xa,ce,Le,gn,go,gs,_n,_s,Ea,x,_o,vs,vn,bs,ys,vo,ks,kt,ws,Ts,$s,bo,Ms,yo,Xs,xs,Es,ko,Cs,bn,Fs,zs,Ps,C,Ls,yn,Os,As,kn,qs,Ns,wn,Ds,Is,Tn,Ss,Ws,$n,js,Bs,Mn,Qs,Us,Rs,Oe,Vs,Xn,Hs,Gs,wo,Js,Ks,B,To,Ys,he,Zs,wt,ei,oi,xn,ti,ni,ai,Ae,Ca,me,qe,En,$o,ri,Cn,si,Fa,z,Mo,ii,Xo,di,Fn,li,ci,hi,xo,mi,Tt,pi,fi,ui,Eo,gi,Co,_i,vi,bi,Q,Fo,yi,pe,ki,$t,wi,Ti,zn,$i,Mi,Xi,Ne,za,fe,De,Pn,zo,xi,Ln,Ei,Pa,P,Po,Ci,Lo,Fi,On,zi,Pi,Li,Oo,Oi,Mt,Ai,qi,Ni,Ao,Di,qo,Ii,Si,Wi,U,No,ji,ue,Bi,Xt,Qi,Ui,An,Ri,Vi,Hi,Ie,La,ge,Se,qn,Do,Gi,Nn,Ji,Oa,L,Io,Ki,Dn,Yi,Zi,So,ed,xt,od,td,nd,Wo,ad,jo,rd,sd,id,R,Bo,dd,_e,ld,Et,cd,hd,In,md,pd,fd,We,Aa,ve,je,Sn,Qo,ud,Wn,gd,qa,O,Uo,_d,jn,vd,bd,Ro,yd,Ct,kd,wd,Td,Vo,$d,Ho,Md,Xd,xd,V,Go,Ed,be,Cd,Ft,Fd,zd,Bn,Pd,Ld,Od,Be,Na,ye,Qe,Qn,Jo,Ad,Un,qd,Da,A,Ko,Nd,Rn,Dd,Id,Yo,Sd,zt,Wd,jd,Bd,Zo,Qd,et,Ud,Rd,Vd,H,ot,Hd,ke,Gd,Pt,Jd,Kd,Vn,Yd,Zd,el,Ue,Ia,we,Re,Hn,tt,ol,Gn,tl,Sa,q,nt,nl,Te,al,Jn,rl,sl,Kn,il,dl,ll,at,cl,Lt,hl,ml,pl,rt,fl,st,ul,gl,_l,G,it,vl,$e,bl,Ot,yl,kl,Yn,wl,Tl,$l,Ve,Wa;return f=new I({}),Ke=new I({}),no=new I({}),ao=new I({}),ro=new sa({props:{code:`from transformers import XmodModel

model = XmodModel.from_pretrained("facebook/xmod-base")
model.set_default_language("en_XX")`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> XmodModel

model = XmodModel.from_pretrained(<span class="hljs-string">&quot;facebook/xmod-base&quot;</span>)
model.set_default_language(<span class="hljs-string">&quot;en_XX&quot;</span>)`}}),io=new sa({props:{code:`import torch

input_ids = torch.tensor(
    [
        [0, 581, 10269, 83, 99942, 136, 60742, 23, 70, 80583, 18276, 2],
        [0, 1310, 49083, 443, 269, 71, 5486, 165, 60429, 660, 23, 2],
    ]
)
lang_ids = torch.LongTensor(
    [
        0,  # en_XX
        8,  # de_DE
    ]
)
output = model(input_ids, lang_ids=lang_ids)`,highlighted:`<span class="hljs-keyword">import</span> torch

input_ids = torch.tensor(
    [
        [<span class="hljs-number">0</span>, <span class="hljs-number">581</span>, <span class="hljs-number">10269</span>, <span class="hljs-number">83</span>, <span class="hljs-number">99942</span>, <span class="hljs-number">136</span>, <span class="hljs-number">60742</span>, <span class="hljs-number">23</span>, <span class="hljs-number">70</span>, <span class="hljs-number">80583</span>, <span class="hljs-number">18276</span>, <span class="hljs-number">2</span>],
        [<span class="hljs-number">0</span>, <span class="hljs-number">1310</span>, <span class="hljs-number">49083</span>, <span class="hljs-number">443</span>, <span class="hljs-number">269</span>, <span class="hljs-number">71</span>, <span class="hljs-number">5486</span>, <span class="hljs-number">165</span>, <span class="hljs-number">60429</span>, <span class="hljs-number">660</span>, <span class="hljs-number">23</span>, <span class="hljs-number">2</span>],
    ]
)
lang_ids = torch.LongTensor(
    [
        <span class="hljs-number">0</span>,  <span class="hljs-comment"># en_XX</span>
        <span class="hljs-number">8</span>,  <span class="hljs-comment"># de_DE</span>
    ]
)
output = model(input_ids, lang_ids=lang_ids)`}}),lo=new I({}),co=new sa({props:{code:`model.freeze_embeddings_and_language_adapters()
# Fine-tune the model ...`,highlighted:`model.freeze_embeddings_and_language_adapters()
<span class="hljs-comment"># Fine-tune the model ...</span>`}}),ho=new I({}),mo=new sa({props:{code:`model.set_default_language("de_DE")
# Evaluate the model on German examples ...`,highlighted:`model.set_default_language(<span class="hljs-string">&quot;de_DE&quot;</span>)
<span class="hljs-comment"># Evaluate the model on German examples ...</span>`}}),po=new I({}),fo=new N({props:{name:"class transformers.XmodConfig",anchor:"transformers.XmodConfig",parameters:[{name:"vocab_size",val:" = 30522"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 512"},{name:"type_vocab_size",val:" = 2"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"position_embedding_type",val:" = 'absolute'"},{name:"use_cache",val:" = True"},{name:"classifier_dropout",val:" = None"},{name:"pre_norm",val:" = False"},{name:"adapter_reduction_factor",val:" = 2"},{name:"adapter_layer_norm",val:" = False"},{name:"adapter_reuse_layer_norm",val:" = True"},{name:"ln_before_adapter",val:" = True"},{name:"languages",val:" = ('en_XX',)"},{name:"default_language",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XmodConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30522) &#x2014;
Vocabulary size of the X-MOD model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/xmod#transformers.XmodModel">XmodModel</a>.`,name:"vocab_size"},{anchor:"transformers.XmodConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.XmodConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.XmodConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.XmodConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.XmodConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.XmodConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.XmodConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.XmodConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.XmodConfig.type_vocab_size",description:`<strong>type_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The vocabulary size of the <code>token_type_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/xmod#transformers.XmodModel">XmodModel</a>.`,name:"type_vocab_size"},{anchor:"transformers.XmodConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.XmodConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.XmodConfig.position_embedding_type",description:`<strong>position_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;absolute&quot;</code>) &#x2014;
Type of position embedding. Choose one of <code>&quot;absolute&quot;</code>, <code>&quot;relative_key&quot;</code>, <code>&quot;relative_key_query&quot;</code>. For
positional embeddings use <code>&quot;absolute&quot;</code>. For more information on <code>&quot;relative_key&quot;</code>, please refer to
<a href="https://arxiv.org/abs/1803.02155" rel="nofollow">Self-Attention with Relative Position Representations (Shaw et al.)</a>.
For more information on <code>&quot;relative_key_query&quot;</code>, please refer to <em>Method 4</em> in <a href="https://arxiv.org/abs/2009.13658" rel="nofollow">Improve Transformer Models
with Better Relative Position Embeddings (Huang et al.)</a>.`,name:"position_embedding_type"},{anchor:"transformers.XmodConfig.is_decoder",description:`<strong>is_decoder</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the model is used as a decoder or not. If <code>False</code>, the model is used as an encoder.`,name:"is_decoder"},{anchor:"transformers.XmodConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.XmodConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>) &#x2014;
The dropout ratio for the classification head.`,name:"classifier_dropout"},{anchor:"transformers.XmodConfig.pre_norm",description:`<strong>pre_norm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to apply layer normalization before each block.`,name:"pre_norm"},{anchor:"transformers.XmodConfig.adapter_reduction_factor",description:`<strong>adapter_reduction_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to 2) &#x2014;
The factor by which the dimensionality of the adapter is reduced relative to <code>hidden_size</code>.`,name:"adapter_reduction_factor"},{anchor:"transformers.XmodConfig.adapter_layer_norm",description:`<strong>adapter_layer_norm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to apply a new layer normalization before the adapter modules (shared across all adapters).`,name:"adapter_layer_norm"},{anchor:"transformers.XmodConfig.adapter_reuse_layer_norm",description:`<strong>adapter_reuse_layer_norm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to reuse the second layer normalization and apply it before the adapter modules as well.`,name:"adapter_reuse_layer_norm"},{anchor:"transformers.XmodConfig.ln_before_adapter",description:`<strong>ln_before_adapter</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to apply the layer normalization before the residual connection around the adapter module.`,name:"ln_before_adapter"},{anchor:"transformers.XmodConfig.languages",description:`<strong>languages</strong> (<code>Iterable[str]</code>, <em>optional</em>, defaults to <code>[&quot;en_XX&quot;]</code>) &#x2014;
An iterable of language codes for which adapter modules should be initialized.`,name:"languages"},{anchor:"transformers.XmodConfig.default_language",description:`<strong>default_language</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Language code of a default language. It will be assumed that the input is in this language if no language
codes are explicitly passed to the forward method.`,name:"default_language"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/configuration_xmod.py#L40"}}),Pe=new Mh({props:{anchor:"transformers.XmodConfig.example",$$slots:{default:[Xh]},$$scope:{ctx:E}}}),go=new I({}),_o=new N({props:{name:"class transformers.XmodModel",anchor:"transformers.XmodModel",parameters:[{name:"config",val:""},{name:"add_pooling_layer",val:" = True"}],parametersDescription:[{anchor:"transformers.XmodModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xmod#transformers.XmodConfig">XmodConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/modeling_xmod.py#L797"}}),To=new N({props:{name:"forward",anchor:"transformers.XmodModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"lang_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XmodModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XmodModel.forward.lang_ids",description:`<strong>lang_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of the language adapters that should be activated for each sample, respectively. Default: the index
that corresponds to <code>self.config.default_language</code>.`,name:"lang_ids"},{anchor:"transformers.XmodModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XmodModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XmodModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XmodModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XmodModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XmodModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XmodModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XmodModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XmodModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.XmodModel.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.XmodModel.forward.past_key_values",description:"<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors &#x2014;",name:"past_key_values"},{anchor:"transformers.XmodModel.forward.of",description:`<strong>of</strong> shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"of"},{anchor:"transformers.XmodModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/modeling_xmod.py#L845"}}),Ae=new ct({props:{$$slots:{default:[xh]},$$scope:{ctx:E}}}),$o=new I({}),Mo=new N({props:{name:"class transformers.XmodForCausalLM",anchor:"transformers.XmodForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XmodForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xmod#transformers.XmodConfig">XmodConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/modeling_xmod.py#L990"}}),Fo=new N({props:{name:"forward",anchor:"transformers.XmodForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"lang_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"past_key_values",val:": typing.Tuple[typing.Tuple[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XmodForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XmodForCausalLM.forward.lang_ids",description:`<strong>lang_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of the language adapters that should be activated for each sample, respectively. Default: the index
that corresponds to <code>self.config.default_language</code>.`,name:"lang_ids"},{anchor:"transformers.XmodForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XmodForCausalLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XmodForCausalLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XmodForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XmodForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XmodForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XmodForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XmodForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XmodForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.XmodForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.XmodForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the left-to-right language modeling loss (next word prediction). Indices should be in
<code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are
ignored (masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.XmodForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.XmodForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).</p>
<p>Returns &#x2014; <code>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</code> or <code>tuple(torch.FloatTensor)</code></p>
<p>Example &#x2014;`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/modeling_xmod.py#L1019"}}),Ne=new ct({props:{$$slots:{default:[Eh]},$$scope:{ctx:E}}}),zo=new I({}),Po=new N({props:{name:"class transformers.XmodForMaskedLM",anchor:"transformers.XmodForMaskedLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XmodForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xmod#transformers.XmodConfig">XmodConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/modeling_xmod.py#L1152"}}),No=new N({props:{name:"forward",anchor:"transformers.XmodForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"lang_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XmodForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XmodForMaskedLM.forward.lang_ids",description:`<strong>lang_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of the language adapters that should be activated for each sample, respectively. Default: the index
that corresponds to <code>self.config.default_language</code>.`,name:"lang_ids"},{anchor:"transformers.XmodForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XmodForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XmodForMaskedLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XmodForMaskedLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XmodForMaskedLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XmodForMaskedLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XmodForMaskedLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XmodForMaskedLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XmodForMaskedLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.XmodForMaskedLM.forward.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, any]</code>, optional, defaults to <em>{}</em>) &#x2014;
Used to hide legacy arguments that have been deprecated.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/modeling_xmod.py#L1184"}}),Ie=new ct({props:{$$slots:{default:[Ch]},$$scope:{ctx:E}}}),Do=new I({}),Io=new N({props:{name:"class transformers.XmodForSequenceClassification",anchor:"transformers.XmodForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XmodForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xmod#transformers.XmodConfig">XmodConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/modeling_xmod.py#L1284"}}),Bo=new N({props:{name:"forward",anchor:"transformers.XmodForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"lang_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XmodForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XmodForSequenceClassification.forward.lang_ids",description:`<strong>lang_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of the language adapters that should be activated for each sample, respectively. Default: the index
that corresponds to <code>self.config.default_language</code>.`,name:"lang_ids"},{anchor:"transformers.XmodForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XmodForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XmodForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XmodForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XmodForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XmodForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XmodForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XmodForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XmodForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/modeling_xmod.py#L1299"}}),We=new ct({props:{$$slots:{default:[Fh]},$$scope:{ctx:E}}}),Qo=new I({}),Uo=new N({props:{name:"class transformers.XmodForMultipleChoice",anchor:"transformers.XmodForMultipleChoice",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XmodForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xmod#transformers.XmodConfig">XmodConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/modeling_xmod.py#L1379"}}),Go=new N({props:{name:"forward",anchor:"transformers.XmodForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"lang_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XmodForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XmodForMultipleChoice.forward.lang_ids",description:`<strong>lang_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of the language adapters that should be activated for each sample, respectively. Default: the index
that corresponds to <code>self.config.default_language</code>.`,name:"lang_ids"},{anchor:"transformers.XmodForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XmodForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XmodForMultipleChoice.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XmodForMultipleChoice.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XmodForMultipleChoice.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XmodForMultipleChoice.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XmodForMultipleChoice.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XmodForMultipleChoice.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XmodForMultipleChoice.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices-1]</code> where <code>num_choices</code> is the size of the second dimension of the input tensors. (See
<code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/modeling_xmod.py#L1393"}}),Be=new ct({props:{$$slots:{default:[zh]},$$scope:{ctx:E}}}),Jo=new I({}),Ko=new N({props:{name:"class transformers.XmodForTokenClassification",anchor:"transformers.XmodForTokenClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XmodForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xmod#transformers.XmodConfig">XmodConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/modeling_xmod.py#L1470"}}),ot=new N({props:{name:"forward",anchor:"transformers.XmodForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"lang_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XmodForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XmodForTokenClassification.forward.lang_ids",description:`<strong>lang_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of the language adapters that should be activated for each sample, respectively. Default: the index
that corresponds to <code>self.config.default_language</code>.`,name:"lang_ids"},{anchor:"transformers.XmodForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XmodForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XmodForTokenClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XmodForTokenClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XmodForTokenClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XmodForTokenClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XmodForTokenClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XmodForTokenClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XmodForTokenClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/modeling_xmod.py#L1489"}}),Ue=new ct({props:{$$slots:{default:[Ph]},$$scope:{ctx:E}}}),tt=new I({}),nt=new N({props:{name:"class transformers.XmodForQuestionAnswering",anchor:"transformers.XmodForQuestionAnswering",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XmodForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xmod#transformers.XmodConfig">XmodConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/modeling_xmod.py#L1575"}}),it=new N({props:{name:"forward",anchor:"transformers.XmodForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"lang_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"start_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"end_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XmodForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XmodForQuestionAnswering.forward.lang_ids",description:`<strong>lang_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of the language adapters that should be activated for each sample, respectively. Default: the index
that corresponds to <code>self.config.default_language</code>.`,name:"lang_ids"},{anchor:"transformers.XmodForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XmodForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XmodForQuestionAnswering.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XmodForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XmodForQuestionAnswering.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XmodForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XmodForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XmodForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XmodForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.XmodForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xmod/modeling_xmod.py#L1590"}}),Ve=new ct({props:{$$slots:{default:[Lh]},$$scope:{ctx:E}}}),{c(){m=n("meta"),M=l(),g=n("h1"),_=n("a"),$=n("span"),v(f.$$.fragment),u=l(),X=n("span"),br=s("X-MOD"),ia=l(),te=n("h2"),Me=n("a"),Yt=n("span"),v(Ke.$$.fragment),yr=l(),Zt=n("span"),kr=s("Overview"),da=l(),W=n("p"),wr=s("The X-MOD model was proposed in "),Ye=n("a"),Tr=s("Lifting the Curse of Multilinguality by Pre-training Modular Transformers"),$r=s(` by Jonas Pfeiffer, Naman Goyal, Xi Lin, Xian Li, James Cross, Sebastian Riedel, and Mikel Artetxe.
X-MOD extends multilingual masked language models like `),ht=n("a"),Mr=s("XLM-R"),Xr=s(" to include language-specific modular components ("),en=n("em"),xr=s("language adapters"),Er=s(") during pre-training. For fine-tuning, the language adapters in each transformer layer are frozen."),la=l(),mt=n("p"),Cr=s("The abstract from the paper is the following:"),ca=l(),pt=n("p"),on=n("em"),Fr=s("Multilingual pre-trained models are known to suffer from the curse of multilinguality, which causes per-language performance to drop as they cover more languages. We address this issue by introducing language-specific modules, which allows us to grow the total capacity of the model, while keeping the total number of trainable parameters per language constant. In contrast with prior work that learns language-specific components post-hoc, we pre-train the modules of our Cross-lingual Modular (X-MOD) models from the start. Our experiments on natural language inference, named entity recognition and question answering show that our approach not only mitigates the negative interference between languages, but also enables positive transfer, resulting in improved monolingual and cross-lingual performance. Furthermore, our approach enables adding languages post-hoc with no measurable drop in performance, no longer limiting the model usage to the set of pre-trained languages."),ha=l(),ft=n("p"),zr=s("Tips:"),ma=l(),Xe=n("ul"),Ze=n("li"),Pr=s("X-MOD is similar to "),ut=n("a"),Lr=s("XLM-R"),Or=s(", but a difference is that the input language needs to be specified so that the correct language adapter can be activated."),Ar=l(),tn=n("li"),qr=s("The main models \u2013 base and large \u2013 have adapters for 81 languages."),pa=l(),j=n("p"),Nr=s("This model was contributed by "),eo=n("a"),Dr=s("jvamvas"),Ir=s(`.
The original code can be found `),oo=n("a"),Sr=s("here"),Wr=s(" and the original documentation is found "),to=n("a"),jr=s("here"),Br=s("."),fa=l(),ne=n("h2"),xe=n("a"),nn=n("span"),v(no.$$.fragment),Qr=l(),an=n("span"),Ur=s("Adapter Usage"),ua=l(),ae=n("h3"),Ee=n("a"),rn=n("span"),v(ao.$$.fragment),Rr=l(),sn=n("span"),Vr=s("Input language"),ga=l(),gt=n("p"),Hr=s("There are two ways to specify the input language:"),_a=l(),_t=n("ol"),dn=n("li"),Gr=s("By setting a default language before using the model:"),va=l(),v(ro.$$.fragment),ba=l(),so=n("ol"),ln=n("li"),Jr=s("By explicitly passing the index of the language adapter for each sample:"),ya=l(),v(io.$$.fragment),ka=l(),re=n("h3"),Ce=n("a"),cn=n("span"),v(lo.$$.fragment),Kr=l(),hn=n("span"),Yr=s("Fine-tuning"),wa=s(`

The paper recommends that the embedding layer and the language adapters are frozen during fine-tuning. A method for doing this is provided:

	`),v(co.$$.fragment),Ta=l(),se=n("h3"),Fe=n("a"),mn=n("span"),v(ho.$$.fragment),Zr=l(),pn=n("span"),es=s("Cross-lingual transfer"),$a=s(`

After fine-tuning, zero-shot cross-lingual transfer can be tested by activating the language adapter of the target language:

	`),v(mo.$$.fragment),Ma=l(),ie=n("h2"),ze=n("a"),fn=n("span"),v(po.$$.fragment),os=l(),un=n("span"),ts=s("XmodConfig"),Xa=l(),S=n("div"),v(fo.$$.fragment),ns=l(),de=n("p"),as=s("This is the configuration class to store the configuration of a "),vt=n("a"),rs=s("XmodModel"),ss=s(`. It is used to instantiate an X-MOD
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the `),uo=n("a"),is=s("xmod-base"),ds=s(`
architecture.`),ls=l(),le=n("p"),cs=s("Configuration objects inherit from "),bt=n("a"),hs=s("PretrainedConfig"),ms=s(` and can be used to control the model outputs. Read the
documentation from `),yt=n("a"),ps=s("PretrainedConfig"),fs=s(" for more information."),us=l(),v(Pe.$$.fragment),xa=l(),ce=n("h2"),Le=n("a"),gn=n("span"),v(go.$$.fragment),gs=l(),_n=n("span"),_s=s("XmodModel"),Ea=l(),x=n("div"),v(_o.$$.fragment),vs=l(),vn=n("p"),bs=s("The bare X-MOD Model transformer outputting raw hidden-states without any specific head on top."),ys=l(),vo=n("p"),ks=s("This model inherits from "),kt=n("a"),ws=s("PreTrainedModel"),Ts=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$s=l(),bo=n("p"),Ms=s("This model is also a PyTorch "),yo=n("a"),Xs=s("torch.nn.Module"),xs=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Es=l(),ko=n("p"),Cs=s(`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),bn=n("em"),Fs=s(`Attention is
all you need`),zs=s(`_ by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit, Llion Jones, Aidan N. Gomez, Lukasz
Kaiser and Illia Polosukhin.`),Ps=l(),C=n("p"),Ls=s("To behave as an decoder the model needs to be initialized with the "),yn=n("code"),Os=s("is_decoder"),As=s(` argument of the configuration set
to `),kn=n("code"),qs=s("True"),Ns=s(". To be used in a Seq2Seq model, the model needs to initialized with both "),wn=n("code"),Ds=s("is_decoder"),Is=s(` argument and
`),Tn=n("code"),Ss=s("add_cross_attention"),Ws=s(" set to "),$n=n("code"),js=s("True"),Bs=s("; an "),Mn=n("code"),Qs=s("encoder_hidden_states"),Us=s(" is then expected as an input to the forward pass."),Rs=l(),Oe=n("p"),Vs=s(".. _"),Xn=n("em"),Hs=s("Attention is all you need"),Gs=s(": "),wo=n("a"),Js=s("https://arxiv.org/abs/1706.03762"),Ks=l(),B=n("div"),v(To.$$.fragment),Ys=l(),he=n("p"),Zs=s("The "),wt=n("a"),ei=s("XmodModel"),oi=s(" forward method, overrides the "),xn=n("code"),ti=s("__call__"),ni=s(" special method."),ai=l(),v(Ae.$$.fragment),Ca=l(),me=n("h2"),qe=n("a"),En=n("span"),v($o.$$.fragment),ri=l(),Cn=n("span"),si=s("XmodForCausalLM"),Fa=l(),z=n("div"),v(Mo.$$.fragment),ii=l(),Xo=n("p"),di=s("X-MOD Model with a "),Fn=n("code"),li=s("language modeling"),ci=s(" head on top for CLM fine-tuning."),hi=l(),xo=n("p"),mi=s("This model inherits from "),Tt=n("a"),pi=s("PreTrainedModel"),fi=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ui=l(),Eo=n("p"),gi=s("This model is also a PyTorch "),Co=n("a"),_i=s("torch.nn.Module"),vi=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),bi=l(),Q=n("div"),v(Fo.$$.fragment),yi=l(),pe=n("p"),ki=s("The "),$t=n("a"),wi=s("XmodForCausalLM"),Ti=s(" forward method, overrides the "),zn=n("code"),$i=s("__call__"),Mi=s(" special method."),Xi=l(),v(Ne.$$.fragment),za=l(),fe=n("h2"),De=n("a"),Pn=n("span"),v(zo.$$.fragment),xi=l(),Ln=n("span"),Ei=s("XmodForMaskedLM"),Pa=l(),P=n("div"),v(Po.$$.fragment),Ci=l(),Lo=n("p"),Fi=s("X-MOD Model with a "),On=n("code"),zi=s("language modeling"),Pi=s(" head on top."),Li=l(),Oo=n("p"),Oi=s("This model inherits from "),Mt=n("a"),Ai=s("PreTrainedModel"),qi=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ni=l(),Ao=n("p"),Di=s("This model is also a PyTorch "),qo=n("a"),Ii=s("torch.nn.Module"),Si=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Wi=l(),U=n("div"),v(No.$$.fragment),ji=l(),ue=n("p"),Bi=s("The "),Xt=n("a"),Qi=s("XmodForMaskedLM"),Ui=s(" forward method, overrides the "),An=n("code"),Ri=s("__call__"),Vi=s(" special method."),Hi=l(),v(Ie.$$.fragment),La=l(),ge=n("h2"),Se=n("a"),qn=n("span"),v(Do.$$.fragment),Gi=l(),Nn=n("span"),Ji=s("XmodForSequenceClassification"),Oa=l(),L=n("div"),v(Io.$$.fragment),Ki=l(),Dn=n("p"),Yi=s(`X-MOD Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),Zi=l(),So=n("p"),ed=s("This model inherits from "),xt=n("a"),od=s("PreTrainedModel"),td=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),nd=l(),Wo=n("p"),ad=s("This model is also a PyTorch "),jo=n("a"),rd=s("torch.nn.Module"),sd=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),id=l(),R=n("div"),v(Bo.$$.fragment),dd=l(),_e=n("p"),ld=s("The "),Et=n("a"),cd=s("XmodForSequenceClassification"),hd=s(" forward method, overrides the "),In=n("code"),md=s("__call__"),pd=s(" special method."),fd=l(),v(We.$$.fragment),Aa=l(),ve=n("h2"),je=n("a"),Sn=n("span"),v(Qo.$$.fragment),ud=l(),Wn=n("span"),gd=s("XmodForMultipleChoice"),qa=l(),O=n("div"),v(Uo.$$.fragment),_d=l(),jn=n("p"),vd=s(`X-MOD Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),bd=l(),Ro=n("p"),yd=s("This model inherits from "),Ct=n("a"),kd=s("PreTrainedModel"),wd=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Td=l(),Vo=n("p"),$d=s("This model is also a PyTorch "),Ho=n("a"),Md=s("torch.nn.Module"),Xd=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),xd=l(),V=n("div"),v(Go.$$.fragment),Ed=l(),be=n("p"),Cd=s("The "),Ft=n("a"),Fd=s("XmodForMultipleChoice"),zd=s(" forward method, overrides the "),Bn=n("code"),Pd=s("__call__"),Ld=s(" special method."),Od=l(),v(Be.$$.fragment),Na=l(),ye=n("h2"),Qe=n("a"),Qn=n("span"),v(Jo.$$.fragment),Ad=l(),Un=n("span"),qd=s("XmodForTokenClassification"),Da=l(),A=n("div"),v(Ko.$$.fragment),Nd=l(),Rn=n("p"),Dd=s(`X-MOD Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),Id=l(),Yo=n("p"),Sd=s("This model inherits from "),zt=n("a"),Wd=s("PreTrainedModel"),jd=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Bd=l(),Zo=n("p"),Qd=s("This model is also a PyTorch "),et=n("a"),Ud=s("torch.nn.Module"),Rd=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Vd=l(),H=n("div"),v(ot.$$.fragment),Hd=l(),ke=n("p"),Gd=s("The "),Pt=n("a"),Jd=s("XmodForTokenClassification"),Kd=s(" forward method, overrides the "),Vn=n("code"),Yd=s("__call__"),Zd=s(" special method."),el=l(),v(Ue.$$.fragment),Ia=l(),we=n("h2"),Re=n("a"),Hn=n("span"),v(tt.$$.fragment),ol=l(),Gn=n("span"),tl=s("XmodForQuestionAnswering"),Sa=l(),q=n("div"),v(nt.$$.fragment),nl=l(),Te=n("p"),al=s(`X-MOD Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),Jn=n("code"),rl=s("span start logits"),sl=s(" and "),Kn=n("code"),il=s("span end logits"),dl=s(")."),ll=l(),at=n("p"),cl=s("This model inherits from "),Lt=n("a"),hl=s("PreTrainedModel"),ml=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),pl=l(),rt=n("p"),fl=s("This model is also a PyTorch "),st=n("a"),ul=s("torch.nn.Module"),gl=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),_l=l(),G=n("div"),v(it.$$.fragment),vl=l(),$e=n("p"),bl=s("The "),Ot=n("a"),yl=s("XmodForQuestionAnswering"),kl=s(" forward method, overrides the "),Yn=n("code"),wl=s("__call__"),Tl=s(" special method."),$l=l(),v(Ve.$$.fragment),this.h()},l(o){const h=wh('[data-svelte="svelte-1phssyn"]',document.head);m=a(h,"META",{name:!0,content:!0}),h.forEach(t),M=c(o),g=a(o,"H1",{class:!0});var dt=r(g);_=a(dt,"A",{id:!0,class:!0,href:!0});var Zn=r(_);$=a(Zn,"SPAN",{});var ea=r($);b(f.$$.fragment,ea),ea.forEach(t),Zn.forEach(t),u=c(dt),X=a(dt,"SPAN",{});var oa=r(X);br=i(oa,"X-MOD"),oa.forEach(t),dt.forEach(t),ia=c(o),te=a(o,"H2",{class:!0});var lt=r(te);Me=a(lt,"A",{id:!0,class:!0,href:!0});var ta=r(Me);Yt=a(ta,"SPAN",{});var na=r(Yt);b(Ke.$$.fragment,na),na.forEach(t),ta.forEach(t),yr=c(lt),Zt=a(lt,"SPAN",{});var aa=r(Zt);kr=i(aa,"Overview"),aa.forEach(t),lt.forEach(t),da=c(o),W=a(o,"P",{});var He=r(W);wr=i(He,"The X-MOD model was proposed in "),Ye=a(He,"A",{href:!0,rel:!0});var Ml=r(Ye);Tr=i(Ml,"Lifting the Curse of Multilinguality by Pre-training Modular Transformers"),Ml.forEach(t),$r=i(He,` by Jonas Pfeiffer, Naman Goyal, Xi Lin, Xian Li, James Cross, Sebastian Riedel, and Mikel Artetxe.
X-MOD extends multilingual masked language models like `),ht=a(He,"A",{href:!0});var Xl=r(ht);Mr=i(Xl,"XLM-R"),Xl.forEach(t),Xr=i(He," to include language-specific modular components ("),en=a(He,"EM",{});var xl=r(en);xr=i(xl,"language adapters"),xl.forEach(t),Er=i(He,") during pre-training. For fine-tuning, the language adapters in each transformer layer are frozen."),He.forEach(t),la=c(o),mt=a(o,"P",{});var El=r(mt);Cr=i(El,"The abstract from the paper is the following:"),El.forEach(t),ca=c(o),pt=a(o,"P",{});var Cl=r(pt);on=a(Cl,"EM",{});var Fl=r(on);Fr=i(Fl,"Multilingual pre-trained models are known to suffer from the curse of multilinguality, which causes per-language performance to drop as they cover more languages. We address this issue by introducing language-specific modules, which allows us to grow the total capacity of the model, while keeping the total number of trainable parameters per language constant. In contrast with prior work that learns language-specific components post-hoc, we pre-train the modules of our Cross-lingual Modular (X-MOD) models from the start. Our experiments on natural language inference, named entity recognition and question answering show that our approach not only mitigates the negative interference between languages, but also enables positive transfer, resulting in improved monolingual and cross-lingual performance. Furthermore, our approach enables adding languages post-hoc with no measurable drop in performance, no longer limiting the model usage to the set of pre-trained languages."),Fl.forEach(t),Cl.forEach(t),ha=c(o),ft=a(o,"P",{});var zl=r(ft);zr=i(zl,"Tips:"),zl.forEach(t),ma=c(o),Xe=a(o,"UL",{});var ja=r(Xe);Ze=a(ja,"LI",{});var Ba=r(Ze);Pr=i(Ba,"X-MOD is similar to "),ut=a(Ba,"A",{href:!0});var Pl=r(ut);Lr=i(Pl,"XLM-R"),Pl.forEach(t),Or=i(Ba,", but a difference is that the input language needs to be specified so that the correct language adapter can be activated."),Ba.forEach(t),Ar=c(ja),tn=a(ja,"LI",{});var Ll=r(tn);qr=i(Ll,"The main models \u2013 base and large \u2013 have adapters for 81 languages."),Ll.forEach(t),ja.forEach(t),pa=c(o),j=a(o,"P",{});var Ge=r(j);Nr=i(Ge,"This model was contributed by "),eo=a(Ge,"A",{href:!0,rel:!0});var Ol=r(eo);Dr=i(Ol,"jvamvas"),Ol.forEach(t),Ir=i(Ge,`.
The original code can be found `),oo=a(Ge,"A",{href:!0,rel:!0});var Al=r(oo);Sr=i(Al,"here"),Al.forEach(t),Wr=i(Ge," and the original documentation is found "),to=a(Ge,"A",{href:!0,rel:!0});var ql=r(to);jr=i(ql,"here"),ql.forEach(t),Br=i(Ge,"."),Ge.forEach(t),fa=c(o),ne=a(o,"H2",{class:!0});var Qa=r(ne);xe=a(Qa,"A",{id:!0,class:!0,href:!0});var Nl=r(xe);nn=a(Nl,"SPAN",{});var Dl=r(nn);b(no.$$.fragment,Dl),Dl.forEach(t),Nl.forEach(t),Qr=c(Qa),an=a(Qa,"SPAN",{});var Il=r(an);Ur=i(Il,"Adapter Usage"),Il.forEach(t),Qa.forEach(t),ua=c(o),ae=a(o,"H3",{class:!0});var Ua=r(ae);Ee=a(Ua,"A",{id:!0,class:!0,href:!0});var Sl=r(Ee);rn=a(Sl,"SPAN",{});var Wl=r(rn);b(ao.$$.fragment,Wl),Wl.forEach(t),Sl.forEach(t),Rr=c(Ua),sn=a(Ua,"SPAN",{});var jl=r(sn);Vr=i(jl,"Input language"),jl.forEach(t),Ua.forEach(t),ga=c(o),gt=a(o,"P",{});var Bl=r(gt);Hr=i(Bl,"There are two ways to specify the input language:"),Bl.forEach(t),_a=c(o),_t=a(o,"OL",{});var Ql=r(_t);dn=a(Ql,"LI",{});var Ul=r(dn);Gr=i(Ul,"By setting a default language before using the model:"),Ul.forEach(t),Ql.forEach(t),va=c(o),b(ro.$$.fragment,o),ba=c(o),so=a(o,"OL",{start:!0});var Rl=r(so);ln=a(Rl,"LI",{});var Vl=r(ln);Jr=i(Vl,"By explicitly passing the index of the language adapter for each sample:"),Vl.forEach(t),Rl.forEach(t),ya=c(o),b(io.$$.fragment,o),ka=c(o),re=a(o,"H3",{class:!0});var Ra=r(re);Ce=a(Ra,"A",{id:!0,class:!0,href:!0});var Hl=r(Ce);cn=a(Hl,"SPAN",{});var Gl=r(cn);b(lo.$$.fragment,Gl),Gl.forEach(t),Hl.forEach(t),Kr=c(Ra),hn=a(Ra,"SPAN",{});var Jl=r(hn);Yr=i(Jl,"Fine-tuning"),Jl.forEach(t),Ra.forEach(t),wa=i(o,`

The paper recommends that the embedding layer and the language adapters are frozen during fine-tuning. A method for doing this is provided:

	`),b(co.$$.fragment,o),Ta=c(o),se=a(o,"H3",{class:!0});var Va=r(se);Fe=a(Va,"A",{id:!0,class:!0,href:!0});var Kl=r(Fe);mn=a(Kl,"SPAN",{});var Yl=r(mn);b(ho.$$.fragment,Yl),Yl.forEach(t),Kl.forEach(t),Zr=c(Va),pn=a(Va,"SPAN",{});var Zl=r(pn);es=i(Zl,"Cross-lingual transfer"),Zl.forEach(t),Va.forEach(t),$a=i(o,`

After fine-tuning, zero-shot cross-lingual transfer can be tested by activating the language adapter of the target language:

	`),b(mo.$$.fragment,o),Ma=c(o),ie=a(o,"H2",{class:!0});var Ha=r(ie);ze=a(Ha,"A",{id:!0,class:!0,href:!0});var ec=r(ze);fn=a(ec,"SPAN",{});var oc=r(fn);b(po.$$.fragment,oc),oc.forEach(t),ec.forEach(t),os=c(Ha),un=a(Ha,"SPAN",{});var tc=r(un);ts=i(tc,"XmodConfig"),tc.forEach(t),Ha.forEach(t),Xa=c(o),S=a(o,"DIV",{class:!0});var Je=r(S);b(fo.$$.fragment,Je),ns=c(Je),de=a(Je,"P",{});var At=r(de);as=i(At,"This is the configuration class to store the configuration of a "),vt=a(At,"A",{href:!0});var nc=r(vt);rs=i(nc,"XmodModel"),nc.forEach(t),ss=i(At,`. It is used to instantiate an X-MOD
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the `),uo=a(At,"A",{href:!0,rel:!0});var ac=r(uo);is=i(ac,"xmod-base"),ac.forEach(t),ds=i(At,`
architecture.`),At.forEach(t),ls=c(Je),le=a(Je,"P",{});var qt=r(le);cs=i(qt,"Configuration objects inherit from "),bt=a(qt,"A",{href:!0});var rc=r(bt);hs=i(rc,"PretrainedConfig"),rc.forEach(t),ms=i(qt,` and can be used to control the model outputs. Read the
documentation from `),yt=a(qt,"A",{href:!0});var sc=r(yt);ps=i(sc,"PretrainedConfig"),sc.forEach(t),fs=i(qt," for more information."),qt.forEach(t),us=c(Je),b(Pe.$$.fragment,Je),Je.forEach(t),xa=c(o),ce=a(o,"H2",{class:!0});var Ga=r(ce);Le=a(Ga,"A",{id:!0,class:!0,href:!0});var ic=r(Le);gn=a(ic,"SPAN",{});var dc=r(gn);b(go.$$.fragment,dc),dc.forEach(t),ic.forEach(t),gs=c(Ga),_n=a(Ga,"SPAN",{});var lc=r(_n);_s=i(lc,"XmodModel"),lc.forEach(t),Ga.forEach(t),Ea=c(o),x=a(o,"DIV",{class:!0});var F=r(x);b(_o.$$.fragment,F),vs=c(F),vn=a(F,"P",{});var cc=r(vn);bs=i(cc,"The bare X-MOD Model transformer outputting raw hidden-states without any specific head on top."),cc.forEach(t),ys=c(F),vo=a(F,"P",{});var Ja=r(vo);ks=i(Ja,"This model inherits from "),kt=a(Ja,"A",{href:!0});var hc=r(kt);ws=i(hc,"PreTrainedModel"),hc.forEach(t),Ts=i(Ja,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ja.forEach(t),$s=c(F),bo=a(F,"P",{});var Ka=r(bo);Ms=i(Ka,"This model is also a PyTorch "),yo=a(Ka,"A",{href:!0,rel:!0});var mc=r(yo);Xs=i(mc,"torch.nn.Module"),mc.forEach(t),xs=i(Ka,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ka.forEach(t),Es=c(F),ko=a(F,"P",{});var Ya=r(ko);Cs=i(Ya,`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),bn=a(Ya,"EM",{});var pc=r(bn);Fs=i(pc,`Attention is
all you need`),pc.forEach(t),zs=i(Ya,`_ by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit, Llion Jones, Aidan N. Gomez, Lukasz
Kaiser and Illia Polosukhin.`),Ya.forEach(t),Ps=c(F),C=a(F,"P",{});var D=r(C);Ls=i(D,"To behave as an decoder the model needs to be initialized with the "),yn=a(D,"CODE",{});var fc=r(yn);Os=i(fc,"is_decoder"),fc.forEach(t),As=i(D,` argument of the configuration set
to `),kn=a(D,"CODE",{});var uc=r(kn);qs=i(uc,"True"),uc.forEach(t),Ns=i(D,". To be used in a Seq2Seq model, the model needs to initialized with both "),wn=a(D,"CODE",{});var gc=r(wn);Ds=i(gc,"is_decoder"),gc.forEach(t),Is=i(D,` argument and
`),Tn=a(D,"CODE",{});var _c=r(Tn);Ss=i(_c,"add_cross_attention"),_c.forEach(t),Ws=i(D," set to "),$n=a(D,"CODE",{});var vc=r($n);js=i(vc,"True"),vc.forEach(t),Bs=i(D,"; an "),Mn=a(D,"CODE",{});var bc=r(Mn);Qs=i(bc,"encoder_hidden_states"),bc.forEach(t),Us=i(D," is then expected as an input to the forward pass."),D.forEach(t),Rs=c(F),Oe=a(F,"P",{});var ra=r(Oe);Vs=i(ra,".. _"),Xn=a(ra,"EM",{});var yc=r(Xn);Hs=i(yc,"Attention is all you need"),yc.forEach(t),Gs=i(ra,": "),wo=a(ra,"A",{href:!0,rel:!0});var kc=r(wo);Js=i(kc,"https://arxiv.org/abs/1706.03762"),kc.forEach(t),ra.forEach(t),Ks=c(F),B=a(F,"DIV",{class:!0});var Nt=r(B);b(To.$$.fragment,Nt),Ys=c(Nt),he=a(Nt,"P",{});var Dt=r(he);Zs=i(Dt,"The "),wt=a(Dt,"A",{href:!0});var wc=r(wt);ei=i(wc,"XmodModel"),wc.forEach(t),oi=i(Dt," forward method, overrides the "),xn=a(Dt,"CODE",{});var Tc=r(xn);ti=i(Tc,"__call__"),Tc.forEach(t),ni=i(Dt," special method."),Dt.forEach(t),ai=c(Nt),b(Ae.$$.fragment,Nt),Nt.forEach(t),F.forEach(t),Ca=c(o),me=a(o,"H2",{class:!0});var Za=r(me);qe=a(Za,"A",{id:!0,class:!0,href:!0});var $c=r(qe);En=a($c,"SPAN",{});var Mc=r(En);b($o.$$.fragment,Mc),Mc.forEach(t),$c.forEach(t),ri=c(Za),Cn=a(Za,"SPAN",{});var Xc=r(Cn);si=i(Xc,"XmodForCausalLM"),Xc.forEach(t),Za.forEach(t),Fa=c(o),z=a(o,"DIV",{class:!0});var J=r(z);b(Mo.$$.fragment,J),ii=c(J),Xo=a(J,"P",{});var er=r(Xo);di=i(er,"X-MOD Model with a "),Fn=a(er,"CODE",{});var xc=r(Fn);li=i(xc,"language modeling"),xc.forEach(t),ci=i(er," head on top for CLM fine-tuning."),er.forEach(t),hi=c(J),xo=a(J,"P",{});var or=r(xo);mi=i(or,"This model inherits from "),Tt=a(or,"A",{href:!0});var Ec=r(Tt);pi=i(Ec,"PreTrainedModel"),Ec.forEach(t),fi=i(or,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),or.forEach(t),ui=c(J),Eo=a(J,"P",{});var tr=r(Eo);gi=i(tr,"This model is also a PyTorch "),Co=a(tr,"A",{href:!0,rel:!0});var Cc=r(Co);_i=i(Cc,"torch.nn.Module"),Cc.forEach(t),vi=i(tr,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),tr.forEach(t),bi=c(J),Q=a(J,"DIV",{class:!0});var It=r(Q);b(Fo.$$.fragment,It),yi=c(It),pe=a(It,"P",{});var St=r(pe);ki=i(St,"The "),$t=a(St,"A",{href:!0});var Fc=r($t);wi=i(Fc,"XmodForCausalLM"),Fc.forEach(t),Ti=i(St," forward method, overrides the "),zn=a(St,"CODE",{});var zc=r(zn);$i=i(zc,"__call__"),zc.forEach(t),Mi=i(St," special method."),St.forEach(t),Xi=c(It),b(Ne.$$.fragment,It),It.forEach(t),J.forEach(t),za=c(o),fe=a(o,"H2",{class:!0});var nr=r(fe);De=a(nr,"A",{id:!0,class:!0,href:!0});var Pc=r(De);Pn=a(Pc,"SPAN",{});var Lc=r(Pn);b(zo.$$.fragment,Lc),Lc.forEach(t),Pc.forEach(t),xi=c(nr),Ln=a(nr,"SPAN",{});var Oc=r(Ln);Ei=i(Oc,"XmodForMaskedLM"),Oc.forEach(t),nr.forEach(t),Pa=c(o),P=a(o,"DIV",{class:!0});var K=r(P);b(Po.$$.fragment,K),Ci=c(K),Lo=a(K,"P",{});var ar=r(Lo);Fi=i(ar,"X-MOD Model with a "),On=a(ar,"CODE",{});var Ac=r(On);zi=i(Ac,"language modeling"),Ac.forEach(t),Pi=i(ar," head on top."),ar.forEach(t),Li=c(K),Oo=a(K,"P",{});var rr=r(Oo);Oi=i(rr,"This model inherits from "),Mt=a(rr,"A",{href:!0});var qc=r(Mt);Ai=i(qc,"PreTrainedModel"),qc.forEach(t),qi=i(rr,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),rr.forEach(t),Ni=c(K),Ao=a(K,"P",{});var sr=r(Ao);Di=i(sr,"This model is also a PyTorch "),qo=a(sr,"A",{href:!0,rel:!0});var Nc=r(qo);Ii=i(Nc,"torch.nn.Module"),Nc.forEach(t),Si=i(sr,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),sr.forEach(t),Wi=c(K),U=a(K,"DIV",{class:!0});var Wt=r(U);b(No.$$.fragment,Wt),ji=c(Wt),ue=a(Wt,"P",{});var jt=r(ue);Bi=i(jt,"The "),Xt=a(jt,"A",{href:!0});var Dc=r(Xt);Qi=i(Dc,"XmodForMaskedLM"),Dc.forEach(t),Ui=i(jt," forward method, overrides the "),An=a(jt,"CODE",{});var Ic=r(An);Ri=i(Ic,"__call__"),Ic.forEach(t),Vi=i(jt," special method."),jt.forEach(t),Hi=c(Wt),b(Ie.$$.fragment,Wt),Wt.forEach(t),K.forEach(t),La=c(o),ge=a(o,"H2",{class:!0});var ir=r(ge);Se=a(ir,"A",{id:!0,class:!0,href:!0});var Sc=r(Se);qn=a(Sc,"SPAN",{});var Wc=r(qn);b(Do.$$.fragment,Wc),Wc.forEach(t),Sc.forEach(t),Gi=c(ir),Nn=a(ir,"SPAN",{});var jc=r(Nn);Ji=i(jc,"XmodForSequenceClassification"),jc.forEach(t),ir.forEach(t),Oa=c(o),L=a(o,"DIV",{class:!0});var Y=r(L);b(Io.$$.fragment,Y),Ki=c(Y),Dn=a(Y,"P",{});var Bc=r(Dn);Yi=i(Bc,`X-MOD Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),Bc.forEach(t),Zi=c(Y),So=a(Y,"P",{});var dr=r(So);ed=i(dr,"This model inherits from "),xt=a(dr,"A",{href:!0});var Qc=r(xt);od=i(Qc,"PreTrainedModel"),Qc.forEach(t),td=i(dr,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),dr.forEach(t),nd=c(Y),Wo=a(Y,"P",{});var lr=r(Wo);ad=i(lr,"This model is also a PyTorch "),jo=a(lr,"A",{href:!0,rel:!0});var Uc=r(jo);rd=i(Uc,"torch.nn.Module"),Uc.forEach(t),sd=i(lr,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),lr.forEach(t),id=c(Y),R=a(Y,"DIV",{class:!0});var Bt=r(R);b(Bo.$$.fragment,Bt),dd=c(Bt),_e=a(Bt,"P",{});var Qt=r(_e);ld=i(Qt,"The "),Et=a(Qt,"A",{href:!0});var Rc=r(Et);cd=i(Rc,"XmodForSequenceClassification"),Rc.forEach(t),hd=i(Qt," forward method, overrides the "),In=a(Qt,"CODE",{});var Vc=r(In);md=i(Vc,"__call__"),Vc.forEach(t),pd=i(Qt," special method."),Qt.forEach(t),fd=c(Bt),b(We.$$.fragment,Bt),Bt.forEach(t),Y.forEach(t),Aa=c(o),ve=a(o,"H2",{class:!0});var cr=r(ve);je=a(cr,"A",{id:!0,class:!0,href:!0});var Hc=r(je);Sn=a(Hc,"SPAN",{});var Gc=r(Sn);b(Qo.$$.fragment,Gc),Gc.forEach(t),Hc.forEach(t),ud=c(cr),Wn=a(cr,"SPAN",{});var Jc=r(Wn);gd=i(Jc,"XmodForMultipleChoice"),Jc.forEach(t),cr.forEach(t),qa=c(o),O=a(o,"DIV",{class:!0});var Z=r(O);b(Uo.$$.fragment,Z),_d=c(Z),jn=a(Z,"P",{});var Kc=r(jn);vd=i(Kc,`X-MOD Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Kc.forEach(t),bd=c(Z),Ro=a(Z,"P",{});var hr=r(Ro);yd=i(hr,"This model inherits from "),Ct=a(hr,"A",{href:!0});var Yc=r(Ct);kd=i(Yc,"PreTrainedModel"),Yc.forEach(t),wd=i(hr,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),hr.forEach(t),Td=c(Z),Vo=a(Z,"P",{});var mr=r(Vo);$d=i(mr,"This model is also a PyTorch "),Ho=a(mr,"A",{href:!0,rel:!0});var Zc=r(Ho);Md=i(Zc,"torch.nn.Module"),Zc.forEach(t),Xd=i(mr,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),mr.forEach(t),xd=c(Z),V=a(Z,"DIV",{class:!0});var Ut=r(V);b(Go.$$.fragment,Ut),Ed=c(Ut),be=a(Ut,"P",{});var Rt=r(be);Cd=i(Rt,"The "),Ft=a(Rt,"A",{href:!0});var eh=r(Ft);Fd=i(eh,"XmodForMultipleChoice"),eh.forEach(t),zd=i(Rt," forward method, overrides the "),Bn=a(Rt,"CODE",{});var oh=r(Bn);Pd=i(oh,"__call__"),oh.forEach(t),Ld=i(Rt," special method."),Rt.forEach(t),Od=c(Ut),b(Be.$$.fragment,Ut),Ut.forEach(t),Z.forEach(t),Na=c(o),ye=a(o,"H2",{class:!0});var pr=r(ye);Qe=a(pr,"A",{id:!0,class:!0,href:!0});var th=r(Qe);Qn=a(th,"SPAN",{});var nh=r(Qn);b(Jo.$$.fragment,nh),nh.forEach(t),th.forEach(t),Ad=c(pr),Un=a(pr,"SPAN",{});var ah=r(Un);qd=i(ah,"XmodForTokenClassification"),ah.forEach(t),pr.forEach(t),Da=c(o),A=a(o,"DIV",{class:!0});var ee=r(A);b(Ko.$$.fragment,ee),Nd=c(ee),Rn=a(ee,"P",{});var rh=r(Rn);Dd=i(rh,`X-MOD Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),rh.forEach(t),Id=c(ee),Yo=a(ee,"P",{});var fr=r(Yo);Sd=i(fr,"This model inherits from "),zt=a(fr,"A",{href:!0});var sh=r(zt);Wd=i(sh,"PreTrainedModel"),sh.forEach(t),jd=i(fr,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),fr.forEach(t),Bd=c(ee),Zo=a(ee,"P",{});var ur=r(Zo);Qd=i(ur,"This model is also a PyTorch "),et=a(ur,"A",{href:!0,rel:!0});var ih=r(et);Ud=i(ih,"torch.nn.Module"),ih.forEach(t),Rd=i(ur,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ur.forEach(t),Vd=c(ee),H=a(ee,"DIV",{class:!0});var Vt=r(H);b(ot.$$.fragment,Vt),Hd=c(Vt),ke=a(Vt,"P",{});var Ht=r(ke);Gd=i(Ht,"The "),Pt=a(Ht,"A",{href:!0});var dh=r(Pt);Jd=i(dh,"XmodForTokenClassification"),dh.forEach(t),Kd=i(Ht," forward method, overrides the "),Vn=a(Ht,"CODE",{});var lh=r(Vn);Yd=i(lh,"__call__"),lh.forEach(t),Zd=i(Ht," special method."),Ht.forEach(t),el=c(Vt),b(Ue.$$.fragment,Vt),Vt.forEach(t),ee.forEach(t),Ia=c(o),we=a(o,"H2",{class:!0});var gr=r(we);Re=a(gr,"A",{id:!0,class:!0,href:!0});var ch=r(Re);Hn=a(ch,"SPAN",{});var hh=r(Hn);b(tt.$$.fragment,hh),hh.forEach(t),ch.forEach(t),ol=c(gr),Gn=a(gr,"SPAN",{});var mh=r(Gn);tl=i(mh,"XmodForQuestionAnswering"),mh.forEach(t),gr.forEach(t),Sa=c(o),q=a(o,"DIV",{class:!0});var oe=r(q);b(nt.$$.fragment,oe),nl=c(oe),Te=a(oe,"P",{});var Gt=r(Te);al=i(Gt,`X-MOD Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),Jn=a(Gt,"CODE",{});var ph=r(Jn);rl=i(ph,"span start logits"),ph.forEach(t),sl=i(Gt," and "),Kn=a(Gt,"CODE",{});var fh=r(Kn);il=i(fh,"span end logits"),fh.forEach(t),dl=i(Gt,")."),Gt.forEach(t),ll=c(oe),at=a(oe,"P",{});var _r=r(at);cl=i(_r,"This model inherits from "),Lt=a(_r,"A",{href:!0});var uh=r(Lt);hl=i(uh,"PreTrainedModel"),uh.forEach(t),ml=i(_r,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),_r.forEach(t),pl=c(oe),rt=a(oe,"P",{});var vr=r(rt);fl=i(vr,"This model is also a PyTorch "),st=a(vr,"A",{href:!0,rel:!0});var gh=r(st);ul=i(gh,"torch.nn.Module"),gh.forEach(t),gl=i(vr,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),vr.forEach(t),_l=c(oe),G=a(oe,"DIV",{class:!0});var Jt=r(G);b(it.$$.fragment,Jt),vl=c(Jt),$e=a(Jt,"P",{});var Kt=r($e);bl=i(Kt,"The "),Ot=a(Kt,"A",{href:!0});var _h=r(Ot);yl=i(_h,"XmodForQuestionAnswering"),_h.forEach(t),kl=i(Kt," forward method, overrides the "),Yn=a(Kt,"CODE",{});var vh=r(Yn);wl=i(vh,"__call__"),vh.forEach(t),Tl=i(Kt," special method."),Kt.forEach(t),$l=c(Jt),b(Ve.$$.fragment,Jt),Jt.forEach(t),oe.forEach(t),this.h()},h(){d(m,"name","hf:doc:metadata"),d(m,"content",JSON.stringify(Ah)),d(_,"id","xmod"),d(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(_,"href","#xmod"),d(g,"class","relative group"),d(Me,"id","overview"),d(Me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Me,"href","#overview"),d(te,"class","relative group"),d(Ye,"href","http://dx.doi.org/10.18653/v1/2022.naacl-main.255"),d(Ye,"rel","nofollow"),d(ht,"href","xlm-roberta"),d(ut,"href","xlm-roberta"),d(eo,"href","https://huggingface.co/jvamvas"),d(eo,"rel","nofollow"),d(oo,"href","https://github.com/facebookresearch/fairseq/tree/58cc6cca18f15e6d56e3f60c959fe4f878960a60/fairseq/models/xmod"),d(oo,"rel","nofollow"),d(to,"href","https://github.com/facebookresearch/fairseq/tree/58cc6cca18f15e6d56e3f60c959fe4f878960a60/examples/xmod"),d(to,"rel","nofollow"),d(xe,"id","adapter-usage"),d(xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(xe,"href","#adapter-usage"),d(ne,"class","relative group"),d(Ee,"id","input-language"),d(Ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ee,"href","#input-language"),d(ae,"class","relative group"),d(so,"start","2"),d(Ce,"id","finetuning"),d(Ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ce,"href","#finetuning"),d(re,"class","relative group"),d(Fe,"id","crosslingual-transfer"),d(Fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Fe,"href","#crosslingual-transfer"),d(se,"class","relative group"),d(ze,"id","transformers.XmodConfig"),d(ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ze,"href","#transformers.XmodConfig"),d(ie,"class","relative group"),d(vt,"href","/docs/transformers/main/en/model_doc/xmod#transformers.XmodModel"),d(uo,"href","https://huggingface.co/facebook/xmod-base"),d(uo,"rel","nofollow"),d(bt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(yt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Le,"id","transformers.XmodModel"),d(Le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Le,"href","#transformers.XmodModel"),d(ce,"class","relative group"),d(kt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(yo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(yo,"rel","nofollow"),d(wo,"href","https://arxiv.org/abs/1706.03762"),d(wo,"rel","nofollow"),d(wt,"href","/docs/transformers/main/en/model_doc/xmod#transformers.XmodModel"),d(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(qe,"id","transformers.XmodForCausalLM"),d(qe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(qe,"href","#transformers.XmodForCausalLM"),d(me,"class","relative group"),d(Tt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(Co,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Co,"rel","nofollow"),d($t,"href","/docs/transformers/main/en/model_doc/xmod#transformers.XmodForCausalLM"),d(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(De,"id","transformers.XmodForMaskedLM"),d(De,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(De,"href","#transformers.XmodForMaskedLM"),d(fe,"class","relative group"),d(Mt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(qo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(qo,"rel","nofollow"),d(Xt,"href","/docs/transformers/main/en/model_doc/xmod#transformers.XmodForMaskedLM"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Se,"id","transformers.XmodForSequenceClassification"),d(Se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Se,"href","#transformers.XmodForSequenceClassification"),d(ge,"class","relative group"),d(xt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(jo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(jo,"rel","nofollow"),d(Et,"href","/docs/transformers/main/en/model_doc/xmod#transformers.XmodForSequenceClassification"),d(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(je,"id","transformers.XmodForMultipleChoice"),d(je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(je,"href","#transformers.XmodForMultipleChoice"),d(ve,"class","relative group"),d(Ct,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(Ho,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Ho,"rel","nofollow"),d(Ft,"href","/docs/transformers/main/en/model_doc/xmod#transformers.XmodForMultipleChoice"),d(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Qe,"id","transformers.XmodForTokenClassification"),d(Qe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Qe,"href","#transformers.XmodForTokenClassification"),d(ye,"class","relative group"),d(zt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(et,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(et,"rel","nofollow"),d(Pt,"href","/docs/transformers/main/en/model_doc/xmod#transformers.XmodForTokenClassification"),d(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Re,"id","transformers.XmodForQuestionAnswering"),d(Re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Re,"href","#transformers.XmodForQuestionAnswering"),d(we,"class","relative group"),d(Lt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),d(st,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(st,"rel","nofollow"),d(Ot,"href","/docs/transformers/main/en/model_doc/xmod#transformers.XmodForQuestionAnswering"),d(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,h){e(document.head,m),p(o,M,h),p(o,g,h),e(g,_),e(_,$),y(f,$,null),e(g,u),e(g,X),e(X,br),p(o,ia,h),p(o,te,h),e(te,Me),e(Me,Yt),y(Ke,Yt,null),e(te,yr),e(te,Zt),e(Zt,kr),p(o,da,h),p(o,W,h),e(W,wr),e(W,Ye),e(Ye,Tr),e(W,$r),e(W,ht),e(ht,Mr),e(W,Xr),e(W,en),e(en,xr),e(W,Er),p(o,la,h),p(o,mt,h),e(mt,Cr),p(o,ca,h),p(o,pt,h),e(pt,on),e(on,Fr),p(o,ha,h),p(o,ft,h),e(ft,zr),p(o,ma,h),p(o,Xe,h),e(Xe,Ze),e(Ze,Pr),e(Ze,ut),e(ut,Lr),e(Ze,Or),e(Xe,Ar),e(Xe,tn),e(tn,qr),p(o,pa,h),p(o,j,h),e(j,Nr),e(j,eo),e(eo,Dr),e(j,Ir),e(j,oo),e(oo,Sr),e(j,Wr),e(j,to),e(to,jr),e(j,Br),p(o,fa,h),p(o,ne,h),e(ne,xe),e(xe,nn),y(no,nn,null),e(ne,Qr),e(ne,an),e(an,Ur),p(o,ua,h),p(o,ae,h),e(ae,Ee),e(Ee,rn),y(ao,rn,null),e(ae,Rr),e(ae,sn),e(sn,Vr),p(o,ga,h),p(o,gt,h),e(gt,Hr),p(o,_a,h),p(o,_t,h),e(_t,dn),e(dn,Gr),p(o,va,h),y(ro,o,h),p(o,ba,h),p(o,so,h),e(so,ln),e(ln,Jr),p(o,ya,h),y(io,o,h),p(o,ka,h),p(o,re,h),e(re,Ce),e(Ce,cn),y(lo,cn,null),e(re,Kr),e(re,hn),e(hn,Yr),p(o,wa,h),y(co,o,h),p(o,Ta,h),p(o,se,h),e(se,Fe),e(Fe,mn),y(ho,mn,null),e(se,Zr),e(se,pn),e(pn,es),p(o,$a,h),y(mo,o,h),p(o,Ma,h),p(o,ie,h),e(ie,ze),e(ze,fn),y(po,fn,null),e(ie,os),e(ie,un),e(un,ts),p(o,Xa,h),p(o,S,h),y(fo,S,null),e(S,ns),e(S,de),e(de,as),e(de,vt),e(vt,rs),e(de,ss),e(de,uo),e(uo,is),e(de,ds),e(S,ls),e(S,le),e(le,cs),e(le,bt),e(bt,hs),e(le,ms),e(le,yt),e(yt,ps),e(le,fs),e(S,us),y(Pe,S,null),p(o,xa,h),p(o,ce,h),e(ce,Le),e(Le,gn),y(go,gn,null),e(ce,gs),e(ce,_n),e(_n,_s),p(o,Ea,h),p(o,x,h),y(_o,x,null),e(x,vs),e(x,vn),e(vn,bs),e(x,ys),e(x,vo),e(vo,ks),e(vo,kt),e(kt,ws),e(vo,Ts),e(x,$s),e(x,bo),e(bo,Ms),e(bo,yo),e(yo,Xs),e(bo,xs),e(x,Es),e(x,ko),e(ko,Cs),e(ko,bn),e(bn,Fs),e(ko,zs),e(x,Ps),e(x,C),e(C,Ls),e(C,yn),e(yn,Os),e(C,As),e(C,kn),e(kn,qs),e(C,Ns),e(C,wn),e(wn,Ds),e(C,Is),e(C,Tn),e(Tn,Ss),e(C,Ws),e(C,$n),e($n,js),e(C,Bs),e(C,Mn),e(Mn,Qs),e(C,Us),e(x,Rs),e(x,Oe),e(Oe,Vs),e(Oe,Xn),e(Xn,Hs),e(Oe,Gs),e(Oe,wo),e(wo,Js),e(x,Ks),e(x,B),y(To,B,null),e(B,Ys),e(B,he),e(he,Zs),e(he,wt),e(wt,ei),e(he,oi),e(he,xn),e(xn,ti),e(he,ni),e(B,ai),y(Ae,B,null),p(o,Ca,h),p(o,me,h),e(me,qe),e(qe,En),y($o,En,null),e(me,ri),e(me,Cn),e(Cn,si),p(o,Fa,h),p(o,z,h),y(Mo,z,null),e(z,ii),e(z,Xo),e(Xo,di),e(Xo,Fn),e(Fn,li),e(Xo,ci),e(z,hi),e(z,xo),e(xo,mi),e(xo,Tt),e(Tt,pi),e(xo,fi),e(z,ui),e(z,Eo),e(Eo,gi),e(Eo,Co),e(Co,_i),e(Eo,vi),e(z,bi),e(z,Q),y(Fo,Q,null),e(Q,yi),e(Q,pe),e(pe,ki),e(pe,$t),e($t,wi),e(pe,Ti),e(pe,zn),e(zn,$i),e(pe,Mi),e(Q,Xi),y(Ne,Q,null),p(o,za,h),p(o,fe,h),e(fe,De),e(De,Pn),y(zo,Pn,null),e(fe,xi),e(fe,Ln),e(Ln,Ei),p(o,Pa,h),p(o,P,h),y(Po,P,null),e(P,Ci),e(P,Lo),e(Lo,Fi),e(Lo,On),e(On,zi),e(Lo,Pi),e(P,Li),e(P,Oo),e(Oo,Oi),e(Oo,Mt),e(Mt,Ai),e(Oo,qi),e(P,Ni),e(P,Ao),e(Ao,Di),e(Ao,qo),e(qo,Ii),e(Ao,Si),e(P,Wi),e(P,U),y(No,U,null),e(U,ji),e(U,ue),e(ue,Bi),e(ue,Xt),e(Xt,Qi),e(ue,Ui),e(ue,An),e(An,Ri),e(ue,Vi),e(U,Hi),y(Ie,U,null),p(o,La,h),p(o,ge,h),e(ge,Se),e(Se,qn),y(Do,qn,null),e(ge,Gi),e(ge,Nn),e(Nn,Ji),p(o,Oa,h),p(o,L,h),y(Io,L,null),e(L,Ki),e(L,Dn),e(Dn,Yi),e(L,Zi),e(L,So),e(So,ed),e(So,xt),e(xt,od),e(So,td),e(L,nd),e(L,Wo),e(Wo,ad),e(Wo,jo),e(jo,rd),e(Wo,sd),e(L,id),e(L,R),y(Bo,R,null),e(R,dd),e(R,_e),e(_e,ld),e(_e,Et),e(Et,cd),e(_e,hd),e(_e,In),e(In,md),e(_e,pd),e(R,fd),y(We,R,null),p(o,Aa,h),p(o,ve,h),e(ve,je),e(je,Sn),y(Qo,Sn,null),e(ve,ud),e(ve,Wn),e(Wn,gd),p(o,qa,h),p(o,O,h),y(Uo,O,null),e(O,_d),e(O,jn),e(jn,vd),e(O,bd),e(O,Ro),e(Ro,yd),e(Ro,Ct),e(Ct,kd),e(Ro,wd),e(O,Td),e(O,Vo),e(Vo,$d),e(Vo,Ho),e(Ho,Md),e(Vo,Xd),e(O,xd),e(O,V),y(Go,V,null),e(V,Ed),e(V,be),e(be,Cd),e(be,Ft),e(Ft,Fd),e(be,zd),e(be,Bn),e(Bn,Pd),e(be,Ld),e(V,Od),y(Be,V,null),p(o,Na,h),p(o,ye,h),e(ye,Qe),e(Qe,Qn),y(Jo,Qn,null),e(ye,Ad),e(ye,Un),e(Un,qd),p(o,Da,h),p(o,A,h),y(Ko,A,null),e(A,Nd),e(A,Rn),e(Rn,Dd),e(A,Id),e(A,Yo),e(Yo,Sd),e(Yo,zt),e(zt,Wd),e(Yo,jd),e(A,Bd),e(A,Zo),e(Zo,Qd),e(Zo,et),e(et,Ud),e(Zo,Rd),e(A,Vd),e(A,H),y(ot,H,null),e(H,Hd),e(H,ke),e(ke,Gd),e(ke,Pt),e(Pt,Jd),e(ke,Kd),e(ke,Vn),e(Vn,Yd),e(ke,Zd),e(H,el),y(Ue,H,null),p(o,Ia,h),p(o,we,h),e(we,Re),e(Re,Hn),y(tt,Hn,null),e(we,ol),e(we,Gn),e(Gn,tl),p(o,Sa,h),p(o,q,h),y(nt,q,null),e(q,nl),e(q,Te),e(Te,al),e(Te,Jn),e(Jn,rl),e(Te,sl),e(Te,Kn),e(Kn,il),e(Te,dl),e(q,ll),e(q,at),e(at,cl),e(at,Lt),e(Lt,hl),e(at,ml),e(q,pl),e(q,rt),e(rt,fl),e(rt,st),e(st,ul),e(rt,gl),e(q,_l),e(q,G),y(it,G,null),e(G,vl),e(G,$e),e($e,bl),e($e,Ot),e(Ot,yl),e($e,kl),e($e,Yn),e(Yn,wl),e($e,Tl),e(G,$l),y(Ve,G,null),Wa=!0},p(o,[h]){const dt={};h&2&&(dt.$$scope={dirty:h,ctx:o}),Pe.$set(dt);const Zn={};h&2&&(Zn.$$scope={dirty:h,ctx:o}),Ae.$set(Zn);const ea={};h&2&&(ea.$$scope={dirty:h,ctx:o}),Ne.$set(ea);const oa={};h&2&&(oa.$$scope={dirty:h,ctx:o}),Ie.$set(oa);const lt={};h&2&&(lt.$$scope={dirty:h,ctx:o}),We.$set(lt);const ta={};h&2&&(ta.$$scope={dirty:h,ctx:o}),Be.$set(ta);const na={};h&2&&(na.$$scope={dirty:h,ctx:o}),Ue.$set(na);const aa={};h&2&&(aa.$$scope={dirty:h,ctx:o}),Ve.$set(aa)},i(o){Wa||(k(f.$$.fragment,o),k(Ke.$$.fragment,o),k(no.$$.fragment,o),k(ao.$$.fragment,o),k(ro.$$.fragment,o),k(io.$$.fragment,o),k(lo.$$.fragment,o),k(co.$$.fragment,o),k(ho.$$.fragment,o),k(mo.$$.fragment,o),k(po.$$.fragment,o),k(fo.$$.fragment,o),k(Pe.$$.fragment,o),k(go.$$.fragment,o),k(_o.$$.fragment,o),k(To.$$.fragment,o),k(Ae.$$.fragment,o),k($o.$$.fragment,o),k(Mo.$$.fragment,o),k(Fo.$$.fragment,o),k(Ne.$$.fragment,o),k(zo.$$.fragment,o),k(Po.$$.fragment,o),k(No.$$.fragment,o),k(Ie.$$.fragment,o),k(Do.$$.fragment,o),k(Io.$$.fragment,o),k(Bo.$$.fragment,o),k(We.$$.fragment,o),k(Qo.$$.fragment,o),k(Uo.$$.fragment,o),k(Go.$$.fragment,o),k(Be.$$.fragment,o),k(Jo.$$.fragment,o),k(Ko.$$.fragment,o),k(ot.$$.fragment,o),k(Ue.$$.fragment,o),k(tt.$$.fragment,o),k(nt.$$.fragment,o),k(it.$$.fragment,o),k(Ve.$$.fragment,o),Wa=!0)},o(o){w(f.$$.fragment,o),w(Ke.$$.fragment,o),w(no.$$.fragment,o),w(ao.$$.fragment,o),w(ro.$$.fragment,o),w(io.$$.fragment,o),w(lo.$$.fragment,o),w(co.$$.fragment,o),w(ho.$$.fragment,o),w(mo.$$.fragment,o),w(po.$$.fragment,o),w(fo.$$.fragment,o),w(Pe.$$.fragment,o),w(go.$$.fragment,o),w(_o.$$.fragment,o),w(To.$$.fragment,o),w(Ae.$$.fragment,o),w($o.$$.fragment,o),w(Mo.$$.fragment,o),w(Fo.$$.fragment,o),w(Ne.$$.fragment,o),w(zo.$$.fragment,o),w(Po.$$.fragment,o),w(No.$$.fragment,o),w(Ie.$$.fragment,o),w(Do.$$.fragment,o),w(Io.$$.fragment,o),w(Bo.$$.fragment,o),w(We.$$.fragment,o),w(Qo.$$.fragment,o),w(Uo.$$.fragment,o),w(Go.$$.fragment,o),w(Be.$$.fragment,o),w(Jo.$$.fragment,o),w(Ko.$$.fragment,o),w(ot.$$.fragment,o),w(Ue.$$.fragment,o),w(tt.$$.fragment,o),w(nt.$$.fragment,o),w(it.$$.fragment,o),w(Ve.$$.fragment,o),Wa=!1},d(o){t(m),o&&t(M),o&&t(g),T(f),o&&t(ia),o&&t(te),T(Ke),o&&t(da),o&&t(W),o&&t(la),o&&t(mt),o&&t(ca),o&&t(pt),o&&t(ha),o&&t(ft),o&&t(ma),o&&t(Xe),o&&t(pa),o&&t(j),o&&t(fa),o&&t(ne),T(no),o&&t(ua),o&&t(ae),T(ao),o&&t(ga),o&&t(gt),o&&t(_a),o&&t(_t),o&&t(va),T(ro,o),o&&t(ba),o&&t(so),o&&t(ya),T(io,o),o&&t(ka),o&&t(re),T(lo),o&&t(wa),T(co,o),o&&t(Ta),o&&t(se),T(ho),o&&t($a),T(mo,o),o&&t(Ma),o&&t(ie),T(po),o&&t(Xa),o&&t(S),T(fo),T(Pe),o&&t(xa),o&&t(ce),T(go),o&&t(Ea),o&&t(x),T(_o),T(To),T(Ae),o&&t(Ca),o&&t(me),T($o),o&&t(Fa),o&&t(z),T(Mo),T(Fo),T(Ne),o&&t(za),o&&t(fe),T(zo),o&&t(Pa),o&&t(P),T(Po),T(No),T(Ie),o&&t(La),o&&t(ge),T(Do),o&&t(Oa),o&&t(L),T(Io),T(Bo),T(We),o&&t(Aa),o&&t(ve),T(Qo),o&&t(qa),o&&t(O),T(Uo),T(Go),T(Be),o&&t(Na),o&&t(ye),T(Jo),o&&t(Da),o&&t(A),T(Ko),T(ot),T(Ue),o&&t(Ia),o&&t(we),T(tt),o&&t(Sa),o&&t(q),T(nt),T(it),T(Ve)}}}const Ah={local:"xmod",sections:[{local:"overview",title:"Overview"},{local:"adapter-usage",sections:[{local:"input-language",title:"Input language"},{local:"finetuning",title:"Fine-tuning"},{local:"crosslingual-transfer",title:"Cross-lingual transfer"}],title:"Adapter Usage"},{local:"transformers.XmodConfig",title:"XmodConfig"},{local:"transformers.XmodModel",title:"XmodModel"},{local:"transformers.XmodForCausalLM",title:"XmodForCausalLM"},{local:"transformers.XmodForMaskedLM",title:"XmodForMaskedLM"},{local:"transformers.XmodForSequenceClassification",title:"XmodForSequenceClassification"},{local:"transformers.XmodForMultipleChoice",title:"XmodForMultipleChoice"},{local:"transformers.XmodForTokenClassification",title:"XmodForTokenClassification"},{local:"transformers.XmodForQuestionAnswering",title:"XmodForQuestionAnswering"}],title:"X-MOD"};function qh(E){return Th(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Bh extends bh{constructor(m){super();yh(this,m,qh,Oh,kh,{})}}export{Bh as default,Ah as metadata};
